path: /build/build/libv4l-media-libs-1.24.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="elibc_glibc jpeg" emerge media-libs/libv4l -pv -t && \
    USE="elibc_glibc jpeg" emerge -j ${JOBS} --nodeps media-libs/libv4l
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libv4l && luet-portage --dir /pkgdir/libv4l
    media-libs/libv4l && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:955ddb6622a3ccf5768f82e0dbabf6d1386cdcfce9b70f926ccb5adc85b61d90
  package:
    name: libv4l
    version: 1.24.1
    category: media-libs
    use_flags:
    - elibc_glibc
    - jpeg
    requires:
    - name: macaroni-funtoo-race9
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Separate libraries ebuild from upstream v4l-utils package
    uri:
    - https://git.linuxtv.org/v4l-utils.git
    license: LGPL-2.1+
    buildtimestamp: 2023-08-27 22:07:25.70546037 +0000 UTC m=+98.988592176
    labels:
      BDEPEND: sys-devel/gettext virtual/pkgconfig >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      DEPEND: virtual/libudev !elibc_glibc? ( sys-libs/argp-standalone ) jpeg? ( >=virtual/jpeg-0-r2:0=
        ) !media-tv/v4l2-ctl !<media-tv/ivtv-utils-1.4.0-r2
      IUSE: dvb jpeg kernel_linux
      RDEPEND: virtual/libudev !elibc_glibc? ( sys-libs/argp-standalone ) jpeg? (
        >=virtual/jpeg-0-r2:0= ) !media-tv/v4l2-ctl !<media-tv/ivtv-utils-1.4.0-r2
      emerge.packages: media-libs/libv4l
      kit: media-kit
      original.package.name: media-libs/libv4l
      original.package.slot: "0"
      original.package.version: 1.24.1
    treedir: /build/packages
  package_dir: /pkgdir/libv4l
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 16be07df6e5fc8b962507a984defd32e552bfae98f9c9c94372c839dc39e4697
compressiontype: zstd
files:
- usr/include/libv4l-plugin.h
- usr/include/libv4l1-videodev.h
- usr/include/libv4l1.h
- usr/include/libv4l2.h
- usr/include/libv4l2rds.h
- usr/include/libv4lconvert.h
- usr/lib64/libv4l/ov511-decomp
- usr/lib64/libv4l/ov518-decomp
- usr/lib64/libv4l/plugins/libv4l-mplane.so
- usr/lib64/libv4l/v4l1compat.so
- usr/lib64/libv4l/v4l2convert.so
- usr/lib64/libv4l1.so
- usr/lib64/libv4l1.so.0
- usr/lib64/libv4l1.so.0.0.0
- usr/lib64/libv4l2.so
- usr/lib64/libv4l2.so.0
- usr/lib64/libv4l2.so.0.0.0
- usr/lib64/libv4l2rds.so
- usr/lib64/libv4l2rds.so.0
- usr/lib64/libv4l2rds.so.0.0.0
- usr/lib64/libv4lconvert.so
- usr/lib64/libv4lconvert.so.0
- usr/lib64/libv4lconvert.so.0.0.0
- usr/lib64/pkgconfig/libv4l1.pc
- usr/lib64/pkgconfig/libv4l2.pc
- usr/lib64/pkgconfig/libv4l2rds.pc
- usr/lib64/pkgconfig/libv4lconvert.pc
- usr/lib64/v4l1compat.so
- usr/lib64/v4l2convert.so
- usr/share/doc/libv4l-1.24.1/ChangeLog.bz2
- usr/share/doc/libv4l-1.24.1/README.lib-multi-threading.bz2
- usr/share/doc/libv4l-1.24.1/README.libv4l.bz2
- usr/share/doc/libv4l-1.24.1/TODO.bz2
- var/db/pkg/media-libs/libv4l-1.24.1/BDEPEND
- var/db/pkg/media-libs/libv4l-1.24.1/BUILD_TIME
- var/db/pkg/media-libs/libv4l-1.24.1/CATEGORY
- var/db/pkg/media-libs/libv4l-1.24.1/CBUILD
- var/db/pkg/media-libs/libv4l-1.24.1/CFLAGS
- var/db/pkg/media-libs/libv4l-1.24.1/CHOST
- var/db/pkg/media-libs/libv4l-1.24.1/CONTENTS
- var/db/pkg/media-libs/libv4l-1.24.1/COUNTER
- var/db/pkg/media-libs/libv4l-1.24.1/CXXFLAGS
- var/db/pkg/media-libs/libv4l-1.24.1/DEFINED_PHASES
- var/db/pkg/media-libs/libv4l-1.24.1/DEPEND
- var/db/pkg/media-libs/libv4l-1.24.1/DESCRIPTION
- var/db/pkg/media-libs/libv4l-1.24.1/EAPI
- var/db/pkg/media-libs/libv4l-1.24.1/FEATURES
- var/db/pkg/media-libs/libv4l-1.24.1/HOMEPAGE
- var/db/pkg/media-libs/libv4l-1.24.1/INHERITED
- var/db/pkg/media-libs/libv4l-1.24.1/IUSE
- var/db/pkg/media-libs/libv4l-1.24.1/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libv4l-1.24.1/KEYWORDS
- var/db/pkg/media-libs/libv4l-1.24.1/LDFLAGS
- var/db/pkg/media-libs/libv4l-1.24.1/LICENSE
- var/db/pkg/media-libs/libv4l-1.24.1/NEEDED
- var/db/pkg/media-libs/libv4l-1.24.1/PF
- var/db/pkg/media-libs/libv4l-1.24.1/PROVIDES
- var/db/pkg/media-libs/libv4l-1.24.1/RDEPEND
- var/db/pkg/media-libs/libv4l-1.24.1/REQUIRES
- var/db/pkg/media-libs/libv4l-1.24.1/SIZE
- var/db/pkg/media-libs/libv4l-1.24.1/SLOT
- var/db/pkg/media-libs/libv4l-1.24.1/USE
- var/db/pkg/media-libs/libv4l-1.24.1/environment.bz2
- var/db/pkg/media-libs/libv4l-1.24.1/libv4l-1.24.1.ebuild
- var/db/pkg/media-libs/libv4l-1.24.1/repository
package_cacheimage: ""
runtime:
  name: libv4l
  version: 1.24.1
  category: media-libs
  use_flags:
  - elibc_glibc
  - jpeg
  requires:
  - name: jpeg
    version: '>=0'
    category: virtual
  - name: libudev
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Separate libraries ebuild from upstream v4l-utils package
  uri:
  - https://git.linuxtv.org/v4l-utils.git
  license: LGPL-2.1+
  labels:
    BDEPEND: sys-devel/gettext virtual/pkgconfig >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    DEPEND: virtual/libudev !elibc_glibc? ( sys-libs/argp-standalone ) jpeg? ( >=virtual/jpeg-0-r2:0=
      ) !media-tv/v4l2-ctl !<media-tv/ivtv-utils-1.4.0-r2
    IUSE: dvb jpeg kernel_linux
    RDEPEND: virtual/libudev !elibc_glibc? ( sys-libs/argp-standalone ) jpeg? ( >=virtual/jpeg-0-r2:0=
      ) !media-tv/v4l2-ctl !<media-tv/ivtv-utils-1.4.0-r2
    emerge.packages: media-libs/libv4l
    kit: media-kit
    original.package.name: media-libs/libv4l
    original.package.slot: "0"
    original.package.version: 1.24.1
